# $Revision: 1.10 $, $Date: 2010/08/27 12:17:42 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static lirbary

Summary:	TRE: approximate regex matching
Summary(pl.UTF-8):	TRE - przybliżone dopasowywanie wyrażeń regularnych
Name:		tre
Version:	0.8.0
Release:	2
License:	BSD
Group:		Applications
Source0:	http://laurikari.net/tre/%{name}-%{version}.tar.bz2
# Source0-md5:	b4d3232593dadf6746f4727bdda20b41
URL:		http://laurikari.net/tre/
Provides:	agrep
Obsoletes:	agrep
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TRE is a lightweight, robust, and efficient POSIX compliant regexp
matching library with some exciting features such as approximate
(fuzzy) matching.

This package also contains agrep (approximate grep) tool for
approximate regexp matching in the style of grep.

%description -l pl.UTF-8
TRE jest lekką i wydajną biblioteką dopasowań przy użyciu wyrażeń
regularnych, zgodną ze standardem POSIX oraz oferującą kilka
przydatnych funkcji, jak np. dopasowywanie przybliżone (rozmyte).

Pakiet zawiera także narzędzie agrep (przybliżony grep) do
przybliżonego dopasowywania przy użyciu wyrażeń regularnych w stylu
grepa.

%package devel
Summary:	Header files for tre library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tre
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for tre library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tre.

%package static
Summary:	Static tre library
Summary(pl.UTF-8):	Statyczna bibloteka tre
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static tre library.

%description static -l pl.UTF-8
Statyczna bibloteka tre.

%prep
%setup -q

%build
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/agrep
%attr(755,root,root) %{_libdir}/libtre.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtre.so.5
%{_mandir}/man1/agrep.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtre.so
%{_libdir}/libtre.la
%{_includedir}/tre
%{_pkgconfigdir}/tre.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtre.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tre.spec,v $
Revision 1.10  2010/08/27 12:17:42  glen
- release 2

Revision 1.9  2010/08/27 12:17:27  glen
- fix without static_libs

Revision 1.8  2010/02/27 08:13:48  qboosh
- build -static
- P+O: agrep

Revision 1.7  2010/02/26 17:50:19  qboosh
- ghost soname symlink
- more accurate summaries

Revision 1.6  2009/11/28 14:21:58  witekfl
- up to 0.8.0
- BSD license

Revision 1.5  2009/05/25 18:27:16  amateja
- updated 0.7.6

Revision 1.4  2009/03/29 13:28:52  adamg
- adapterized; release 1

Revision 1.3  2007/03/31 19:15:09  qboosh
- finished pl

Revision 1.2  2007/03/21 12:49:18  beorn
- Polish fuzzy translation

Revision 1.1  2007/03/18 19:39:53  glen
- new
